org.eclipse.january.dataset

## Class Operations.UseIfGreaterThanOrEqualTo

- java.lang.Object
- - org.eclipse.january.dataset.Operations.UseBase
  - - org.eclipse.january.dataset.Operations.UseIfGreaterThanOrEqualTo

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Enclosing class:
    Operations

      public static class Operations.UseIfGreaterThanOrEqualTo
      extends Operations.UseBase

  Use given value if `a >= b` else use a

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.january.dataset.Operations.UseBase

      `br, dr, lr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Operations.UseIfGreaterThanOrEqualTo(boolean br, long lr, double dr)`
    `Operations.UseIfGreaterThanOrEqualTo(Number r)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a, long b)`
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `long` | `longOperate(long a, long b)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.january.dataset.Operations.UseBase

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Operations.UseIfGreaterThanOrEqualTo

          public Operations.UseIfGreaterThanOrEqualTo(boolean br,
                                              long lr,
                                              double dr)

      Parameters:
        `br` - given value as boolean
        `lr` - given value as long
        `dr` - given value as double

    - #### Operations.UseIfGreaterThanOrEqualTo

          public Operations.UseIfGreaterThanOrEqualTo(Number r)

      Parameters:
        `r` - given value as Number

  - ### Method Detail

    - #### booleanOperate

          public boolean booleanOperate(long a,
                               long b)

      Specified by:
        `booleanOperate` in interface `BinaryOperation`
      Overrides:
        `booleanOperate` in class `Operations.UseBase`
      Returns:
        a op b

    - #### longOperate

          public long longOperate(long a,
                         long b)

      Specified by:
        `longOperate` in interface `BinaryOperation`
      Overrides:
        `longOperate` in class `Operations.UseBase`
      Returns:
        a op b

    - #### doubleOperate

          public double doubleOperate(double a,
                             double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Overrides:
        `doubleOperate` in class `Operations.UseBase`
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                            double ra,
                            double ia,
                            double rb,
                            double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Overrides:
        `complexOperate` in class `Operations.UseBase`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2018 Eclipse Foundation. All rights reserved.